Rated 1 out of 5 stars

Not supported for Firefox versions > 2.0 as well as only supporting a limited set of only 10 languages!!!

This review is for a previous version of the add-on (0.09).